roboptim::detail Namespace Reference
Function filters

## Classes

struct | add_shared_ptr
| Transform a types list into a types list of shared pointers. More...
struct | ltvector
struct | printConstraint

## Functions

template<typename T >
void | compute_deriv (const GenericFunction< T > &adaptee, typename GenericFunction< T >::size_type j, double h, double &result, double &round, double &trunc, const typename GenericFunction< T >::argument_t &argument, typename GenericFunction< T >::size_type idFunction, typename GenericFunction< T >::argument_t &xEps)
| Algorithm from the Gnu Scientific Library. More...
template<typename T >
std::ostream & | impl_print (std::ostream &o, const T *t)
template<typename T >
std::ostream & | impl_print (std::ostream &o, const T &t)
ROBOPTIM_DLLAPI void | vector_to_array (Function::value_type *dst, const Function::vector_t &src)
ROBOPTIM_DLLAPI void | array_to_vector (Function::vector_t &dst, const Function::value_type *src)
template<typename T >
void | jacobian_from_gradients (typename DifferentiableFunction::matrix_t &jac, const std::vector< const T * > &c, const DifferentiableFunction::vector_t &x)

## Function Documentation

void roboptim::detail::array_to_vector | ( | Function::vector_t & | dst,
|  | const Function::value_type * | src
| ) |  |

template<typename T >

void roboptim::detail::compute_deriv | ( | const GenericFunction< T > & | adaptee,
|  | typename GenericFunction< T >::size_type | j,
|  | double | h,
|  | double & | result,
|  | double & | round,
|  | double & | trunc,
|  | const typename GenericFunction< T >::argument_t & | argument,
|  | typename GenericFunction< T >::size_type | idFunction,
|  | typename GenericFunction< T >::argument_t & | xEps
| ) |  |

Algorithm from the Gnu Scientific Library.

Referenced by roboptim::finiteDifferenceGradientPolicies::FivePointsRule< T >::computeGradient().

template<typename T >

std::ostream& roboptim::detail::impl_print | ( | std::ostream & | o,
|  | const T * | t
| ) |  |

template<typename T >

std::ostream& roboptim::detail::impl_print | ( | std::ostream & | o,
|  | const T & | t
| ) |  |

template<typename T >

void roboptim::detail::jacobian_from_gradients | ( | typename DifferentiableFunction::matrix_t & | jac,
|  | const std::vector< const T * > & | c,
|  | const DifferentiableFunction::vector_t & | x
| ) |  |

void roboptim::detail::vector_to_array | ( | Function::value_type * | dst,
|  | const Function::vector_t & | src
| ) |  |